"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Card = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Card = _ref => {
  let {
    style = {},
    children,
    border = 'none',
    mode = 'light',
    ...rest
  } = _ref;
  let extraStyle = {
    borderWidth: 1,
    borderColor: 'lightgray',
    backgroundColor: mode === 'light' ? 'white' : '#4c4c4c'
  };

  if (border === 'rounded') {
    extraStyle = { ...extraStyle,
      borderRadius: 4
    };
  } else if (border === 'full') {
    extraStyle = { ...extraStyle,
      borderRadius: 9999
    };
  }

  return /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({
    style: [extraStyle, style]
  }, rest), children);
};

exports.Card = Card;
Card.displayName = 'Card';
//# sourceMappingURL=Card.js.map